addEventHandler("onClientResourceStart", resourceRoot, function()
    local texture1 = dxCreateTexture("files/bill1.jpg", "argb", true, "clamp")
    if not isElement(texture1) then return end
	
	local texture2 = dxCreateTexture("files/bill2.jpg", "argb", true, "clamp")
    if not isElement(texture2) then return end
	
	local texture3 = dxCreateTexture("files/bill3.jpg", "argb", true, "clamp")
    if not isElement(texture3) then return end

    local shader1 = dxCreateShader("texture_replace.fx")
    if not isElement(shader1) then return end
	
	local shader2 = dxCreateShader("texture_replace.fx")
    if not isElement(shader2) then return end
	
	local shader3 = dxCreateShader("texture_replace.fx")
    if not isElement(shader3) then return end

    dxSetShaderValue(shader1, "gTexture", texture1)
    engineApplyShaderToWorldTexture(shader1, "cokopops_2")

    destroyElement(texture1)
	
	dxSetShaderValue(shader2, "gTexture", texture2)
    engineApplyShaderToWorldTexture(shader2, "bobobillboard1")

    destroyElement(texture2)
	
	dxSetShaderValue(shader3, "gTexture", texture3)
    engineApplyShaderToWorldTexture(shader3, "diderSachs01")

    destroyElement(texture3)
end)